import { createRouter, createWebHashHistory } from 'vue-router'
import Layout from '@/layout/layout.vue'
const Transmission = () => import('@/views/transmission.vue')
const ExportTask = () => import('@/views/exportTask.vue')
const Setting = () => import('@/views/setting.vue')
const Login = () => import('@/views/login.vue')

const router = createRouter({
  history: createWebHashHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      redirect: 'transmission'
    },
    {
      path: '/login',
      name: 'login',
      component: Login
    },
    {
      path: '/',
      component: Layout,
      children: [
        // {
        //   path: '/home',
        //   name: 'home',
        //   meta: { auth: true },
        //   component: Home
        // },
        {
          path: '/transmission',
          name: 'transmission',
          meta: { auth: true },
          component: Transmission
        },
        {
          path: '/exportTask',
          name: 'exportTask',
          meta: { auth: true },
          component: ExportTask
        },
        {
          path: '/setting',
          name: 'setting',
          meta: { auth: true },
          component: Setting
        }
      ]
    }
  ]
})

export default router
